# class Byebug::RemoteInterface

Interface class for remote use of byebug.

### Public Class Methods

new(socket) click to toggle source
Calls superclass method Byebug::Interface.new

    # File lib/byebug/interfaces/remote_interface.rb, line 10
    def initialize(socket)
      super()
      @input = socket
      @output = socket
      @error = socket
    end

### Public Instance Methods

close() click to toggle source

    # File lib/byebug/interfaces/remote_interface.rb, line 41
    def close
      output.close
    end

confirm(prompt) click to toggle source
Calls superclass method Byebug::Interface#confirm

    # File lib/byebug/interfaces/remote_interface.rb, line 23
    def confirm(prompt)
      super("CONFIRM #{prompt}")
    rescue Errno::EPIPE, Errno::ECONNABORTED
      false
    end

print(message) click to toggle source
Calls superclass method Byebug::Interface#print

    # File lib/byebug/interfaces/remote_interface.rb, line 29
    def print(message)
      super(message)
    rescue Errno::EPIPE, Errno::ECONNABORTED
      nil
    end

puts(message) click to toggle source
Calls superclass method Byebug::Interface#puts

    # File lib/byebug/interfaces/remote_interface.rb, line 35
    def puts(message)
      super(message)
    rescue Errno::EPIPE, Errno::ECONNABORTED
      nil
    end

read_command(prompt) click to toggle source
Calls superclass method Byebug::Interface#read_command

    # File lib/byebug/interfaces/remote_interface.rb, line 17
    def read_command(prompt)
      super("PROMPT #{prompt}")
    rescue Errno::EPIPE, Errno::ECONNABORTED
      "continue"
    end

readline(prompt) click to toggle source

    # File lib/byebug/interfaces/remote_interface.rb, line 45
    def readline(prompt)
      puts(prompt)
      (input.gets || "continue").chomp
    end